![CNSistent Logo](https://cnsistent.readthedocs.io/en/latest/_images/Logo.png)

[![PyPI version](https://badge.fury.io/py/CNSistent.svg)](https://badge.fury.io/py/CNSistent)
[![Documentation Status](https://readthedocs.org/projects/cnsistent/badge/?version=latest)](https://cnsistent.readthedocs.io/en/latest/?badge=latest)

CNSistent is a Python tool for processing and analyzing copy number data. It is designed to work with data from a variety of sources. The tool is designed to be easy to use, and to provide a comprehensive set of analyses and visualizations.

## [**READ THE DOCS HERE**](https://cnsistent.readthedocs.io/en/latest)

CNSistent can be used as a Python package, or downloaded together with the respective data (PCAWG, TRACERx, TCGA, genomic locations):

## Installation links


 1. [Full Bitbucket repository with ~1GB of data.](https://bitbucket.org/schwarzlab/cnsistent/src/main/REPOSITORY.md)
 2. [PIP package only.](https://pypi.org/project/cnsistent/)


## Data

The input dataset is also availble on Zenodo: [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.14677713.svg)](https://doi.org/10.5281/zenodo.14677713).

The processed is availble on Zenodo: [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.14547456.svg)](https://doi.org/10.5281/zenodo.14547456).

Deep learning code is available on Zenodo: [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.14546762.svg)](https://doi.org/10.5281/zenodo.14546762).


### Acessions

The contents of the data folder were obtained by processing the following sources, accessed in December 2023.

TCGA data obtained from ASCATv3 at: https://github.com/VanLoo-lab/ascat/tree/master/ReleasedData    
Cite: https://www.pnas.org/doi/full/10.1073/pnas.1009843107   
The results published here are in part based upon data generated by the TCGA Research Network: https://www.cancer.gov/tcga.  

PCAWG data obtained from: https://dcc.icgc.org/releases/PCAWG/consensus_cnv
Cite: https://www.nature.com/articles/s41587-019-0055-9    

TRACERx data obtained from: https://zenodo.org/records/7649257    
Cite: https://www.nature.com/articles/s41586-023-05729-x

COSMIC cancer set obtained from: https://cancer.sanger.ac.uk/census   
Cite: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6450507

Human genome gene set obtained using PyENSEMBL (2023).
Cite: https://academic.oup.com/nar/article/51/D1/D933/6786199

Cytoband, Gap data obtained from: https://genome.ucsc.edu
Cite: https://www.nature.com/articles/35057062


### [MIT License](https://bitbucket.org/schwarzlab/cnsistent/src/main/LICENSE.txt)